Bug 1652817 - RHVH4.3: Failed to install RHVH on multipath disks
Summary: RHVH4.3: Failed to install RHVH on multipath disks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: redhat-virtualization-host
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ovirt-4.3.0
: ---
Assignee: Yuval Turgeman
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks: 1653669
TreeView+ depends on / blocked
 
Reported: 2018-11-23 07:19 UTC by Qin Yuan
Modified: 2019-05-08 12:32 UTC (History)
9 users (show)

Fixed In Version: RHVH-4.3-20181125.1-RHVH-x86_64-dvd1.iso
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 12:32:19 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1053 None None None 2019-05-08 12:32:38 UTC

Description Qin Yuan 2018-11-23 07:19:24 UTC
Description of problem:
When try to install RHVH on multipath disks, it indicates "No disks selected", and installation is blocked.

The status of multipathd.service during installation is :
[anaconda root@vm-73-209 ~]# systemctl status multipathd
? multipathd.service - Device-Mapper Multipath Device Controller
   Loaded: loaded (/usr/lib/systemd/system/multipathd.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Nov 23 06:39:51 localhost multipathd[1079]: sdh: add path (uevent)
Nov 23 06:39:51 localhost multipathd[1079]: 36005076300810b3e0000000000000022: load table [0 419430400 multipath 1 queue_if_no_path 0 2 1 service-time 0 1 1 8:1... 1 8:48 1]
Nov 23 06:39:51 localhost multipathd[1079]: 36005076300810b3e0000000000000022: event checker started
Nov 23 06:39:51 localhost multipathd[1079]: sdh [8:112]: path added to devmap 36005076300810b3e0000000000000022
Nov 23 06:39:51 localhost multipathd[1079]: sdk: add path (uevent)
Nov 23 06:39:51 localhost multipathd[1079]: 36005076300810b3e0000000000000270: load table [0 209715200 multipath 1 queue_if_no_path 0 2 1 service-time 0 1 1 8:1... 1 8:96 1]
Nov 23 06:39:51 localhost multipathd[1079]: 36005076300810b3e0000000000000270: event checker started
Nov 23 06:39:51 localhost multipathd[1079]: sdk [8:160]: path added to devmap 36005076300810b3e0000000000000270
Nov 23 06:40:11 localhost systemd[1]: Stopping Device-Mapper Multipath Device Controller...
Nov 23 06:40:11 localhost systemd[1]: Stopped Device-Mapper Multipath Device Controller.

Start multipathd.service manually, and refresh the disks on Anaconda GUI, it could work normally.

So, the issue should be multipathd.service is not started by default which causes installing RHVH on multipath disks to fail.


Version-Release number of selected component (if applicable):
RHVH-4.3-20181122.2-RHVH-x86_64-dvd1.iso

How reproducible:
100%

Steps to Reproduce:
1. Install RHVH-4.3-20181122.2-RHVH-x86_64-dvd1.iso on a multipath machine
2. Go to Installation Destination page of Anaconda GUI, select the desired multipath disks, and click Done


Actual results:
1. No disks selected, can't continue to install RHVH

Expected results:
1. Multipath disks could be selected, and installation could succeed.

Additional info:
No such issue with RHVH 4.2, for RHVH 4.2, multipathd.servcie is started by default during installation.

Comment 2 Qin Yuan 2018-12-18 03:24:57 UTC
Tested RHVH-4.3-20181210.0-RHVH-x86_64-dvd1.iso on machine having multipath disks, multipathd.service is active during installation, and install RHVH on multipath disks succeeded.

Will mark this bug as VERIFIED when it's moved to ON_QA.

Comment 3 Qin Yuan 2019-01-21 10:42:00 UTC
Tested RHVH-4.3-20190117.0-RHVH-x86_64-dvd1.iso on machine with multipath disks, the result is the same with comment #2.

Comment 5 errata-xmlrpc 2019-05-08 12:32:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1053


Note You need to log in before you can comment on or make changes to this bug.